Summary:	X Fixes extension library
Summary(pl.UTF-8):	Biblioteka rozszerzenia X Fixes
Name:		xorg-lib-libXfixes
Version:	6.0.1
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libXfixes-%{version}.tar.xz
# Source0-md5:	65b9ba1e9ff3d16c4fa72915d4bb585a
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel >= 1.6
BuildRequires:	xorg-proto-fixesproto-devel >= 6.0
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.22
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
Requires:	xorg-lib-libX11 >= 1.6
Obsoletes:	libXfixes < 3.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Fixes extension library.

%description -l pl.UTF-8
Biblioteka rozszerzenia X Fixes.

%package devel
Summary:	Header files for libXfixes library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXfixes
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libX11-devel >= 1.6
Requires:	xorg-proto-fixesproto-devel >= 6.0
Requires:	xorg-proto-xproto-devel >= 7.0.22
Obsoletes:	libXfixes-devel < 3.0.0

%description devel
X Fixes extension library.

This package contains the header files needed to develop programs that
use libXfixes.

%description devel -l pl.UTF-8
Biblioteka rozszerzenia X Fixes.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXfixes.

%package static
Summary:	Static libXfixes library
Summary(pl.UTF-8):	Biblioteka statyczna libXfixes
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXfixes-static < 3.0.0

%description static
X Fixes extension library.

This package contains the static libXfixes library.

%description static -l pl.UTF-8
Biblioteka rozszerzenia X Fixes.

Pakiet zawiera statyczną bibliotekę libXfixes.

%prep
%setup -q -n libXfixes-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README.md
%attr(755,root,root) %{_libdir}/libXfixes.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXfixes.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libXfixes.so
%{_libdir}/libXfixes.la
%{_includedir}/X11/extensions/Xfixes.h
%{_pkgconfigdir}/xfixes.pc
%{_mandir}/man3/Xfixes.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libXfixes.a
%changelog
* Thu Apr 27 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libXfixes.git;a=log;h=master

* Thu Apr 27 2023 Jakub Bogusz <qboosh@pld-linux.org> 6aca8bc
- updated to 6.0.1

* Wed May 12 2021 Jakub Bogusz <qboosh@pld-linux.org> 0c64703
- updated to 6.0.0

* Wed Oct 05 2016 Jakub Bogusz <qboosh@pld-linux.org> 0ed64c3
- updated to 5.0.3 (integer overflow fix)

* Fri Jun 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 7d71c91
- updated to 5.0.2

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 0eef0c4
- x32 rebuild
- release 2 (by relup.sh)

* Wed Dec 24 2014 Jan Rękorajski <baggins@pld-linux.org> 3cad564
- fix files

* Fri May 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 8bad486
- up to 5.0.1; fixes CVE-2013-1983

* Wed Mar 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 34b9e7e
- updated to 5.0

* Sat Jun 12 2010 Jakub Bogusz <qboosh@pld-linux.org> edbafb0
- updated ac and util-macros versions

* Thu Jun 10 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5710b85
- up to 4.0.5

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> 4cd703d
- rebuild with new libpthread-stubs
- rel 2

* Thu Oct 08 2009 Jakub Bogusz <qboosh@pld-linux.org> 2d7a5ec
- updated util-macros version
- ghost soname symlink
- more verbose files

* Thu Oct 08 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 05ab53e
- up to 4.0.4

* Thu Nov 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 20387f1
- release 5

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 64d89aa
- release 4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 60c0225
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f299b4b
- converted to UTF-8

* Sat Nov 25 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 04ad669
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ab5dbd
- rebuild

* Wed Nov 08 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 2323c2c
- up to 4.0.3

